Index: trunk/abdev/BasicCompiler32/NumOpe_Relation.cpp
===================================================================
--- trunk/abdev/BasicCompiler32/NumOpe_Relation.cpp	(revision 245)
+++ trunk/abdev/BasicCompiler32/NumOpe_Relation.cpp	(revision 248)
@@ -142,5 +142,5 @@
 		compiler.codeGenerator.op_cmp_RR( REG_EDX, REG_ECX );
 
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule1;
+		const PertialSchedule *pFalsePertialSchedule1;
 		if(IsSignedType(type_stack[sp-2])==0&&IsSignedType(type_stack[sp-1])==0){
 			//符号なし演算
@@ -156,5 +156,5 @@
 		}
 
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule;
+		const PertialSchedule *pTruePertialSchedule;
 		if(IsSignedType(type_stack[sp-2])==0&&IsSignedType(type_stack[sp-1])==0){
 			//符号なし演算
@@ -174,5 +174,5 @@
 
 		//ja FalseSchedule2（偽へジャンプ）
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule2 = compiler.codeGenerator.op_ja( 0, sizeof(char), true );
+		const PertialSchedule *pFalsePertialSchedule2 = compiler.codeGenerator.op_ja( 0, sizeof(char), true );
 
 		//TrueScheduleのジャンプ先の設定
@@ -351,5 +351,5 @@
 		compiler.codeGenerator.op_cmp_RR( REG_EDX, REG_ECX );
 
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule1;
+		const PertialSchedule *pFalsePertialSchedule1;
 		if(IsSignedType(AnswerType)){
 			//符号あり演算
@@ -365,5 +365,5 @@
 		}
 
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule;
+		const PertialSchedule *pTruePertialSchedule;
 		if(IsSignedType(AnswerType)){
 			//符号あり演算
@@ -383,5 +383,5 @@
 
 		//jb FalseSchedule2（偽へジャンプ）
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule2 = compiler.codeGenerator.op_jb( 0, sizeof(char), true );
+		const PertialSchedule *pFalsePertialSchedule2 = compiler.codeGenerator.op_jb( 0, sizeof(char), true );
 
 		//TrueScheduleのジャンプ先の設定
@@ -563,5 +563,5 @@
 		compiler.codeGenerator.op_cmp_RR( REG_EDX, REG_ECX );
 
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule1;
+		const PertialSchedule *pTruePertialSchedule1;
 		if(IsSignedType(AnswerType)){
 			//符号あり演算
@@ -577,5 +577,5 @@
 		}
 
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule;
+		const PertialSchedule *pFalsePertialSchedule;
 		if(IsSignedType(AnswerType)){
 			//符号あり演算
@@ -595,5 +595,5 @@
 
 		//jb TrueSchedule2（真へジャンプ）
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule2 = compiler.codeGenerator.op_jb( 0, sizeof(char), true );
+		const PertialSchedule *pTruePertialSchedule2 = compiler.codeGenerator.op_jb( 0, sizeof(char), true );
 
 		//FalseScheduleのジャンプ先の設定
@@ -771,5 +771,5 @@
 		compiler.codeGenerator.op_cmp_RR( REG_EDX, REG_ECX );
 
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule1;
+		const PertialSchedule *pTruePertialSchedule1;
 		if(IsSignedType(AnswerType)){
 			//符号有り
@@ -785,5 +785,5 @@
 		}
 
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule;
+		const PertialSchedule *pFalsePertialSchedule;
 		if(IsSignedType(AnswerType)){
 			//符号有り
@@ -803,5 +803,5 @@
 
 		//ja TrueSchedule2（真へジャンプ）
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule2 = compiler.codeGenerator.op_ja( 0, sizeof(char), true );
+		const PertialSchedule *pTruePertialSchedule2 = compiler.codeGenerator.op_ja( 0, sizeof(char), true );
 
 		//FalseScheduleのジャンプ先の設定
@@ -975,5 +975,5 @@
 
 		//jne TrueSchedule1（真へジャンプ）
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule1 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
+		const PertialSchedule *pTruePertialSchedule1 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
 
 		//cmp edx,ecx
@@ -981,5 +981,5 @@
 
 		//jne TrueSchedule2（真へジャンプ）
-		const CodeGenerator::PertialSchedule *pTruePertialSchedule2 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
+		const PertialSchedule *pTruePertialSchedule2 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
 
 		//xor eax,eax（eaxを0にする）
@@ -1141,5 +1141,5 @@
 
 		//jne FalseSchedule1（偽へジャンプ）
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule1 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
+		const PertialSchedule *pFalsePertialSchedule1 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
 
 		//cmp edx,ecx
@@ -1147,5 +1147,5 @@
 
 		//jne FalseSchedule2（偽へジャンプ）
-		const CodeGenerator::PertialSchedule *pFalsePertialSchedule2 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
+		const PertialSchedule *pFalsePertialSchedule2 = compiler.codeGenerator.op_jne( 0, sizeof(char), true );
 
 		//mov eax,1
